# Uses of Interface
org.opensaml.xacml.policy.SubjectMatchType

Packages that use SubjectMatchType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of SubjectMatchType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type SubjectMatchType
Modifier and Type
Method
Description
`List<SubjectMatchType>`
SubjectType.`getSubjectMatches()`
Gets the subject matches for this action.

## Uses of SubjectMatchType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement SubjectMatchType
Modifier and Type
Class
Description
`class`
`SubjectMatchTypeImpl`
Concrete implementation of `SubjectMatchType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type SubjectMatchType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<SubjectMatchType>`
SubjectTypeImpl.`subjectMatch`
List of subject matches.
Methods in org.opensaml.xacml.policy.impl that return SubjectMatchType
Modifier and Type
Method
Description
`SubjectMatchType`
SubjectMatchTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`SubjectMatchType`
SubjectMatchTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type SubjectMatchType
Modifier and Type
Method
Description
`List<SubjectMatchType>`
SubjectTypeImpl.`getSubjectMatches()`
Gets the subject matches for this action.